## binutils 2.45.50.20251125

=== debian/changelog ===
binutils (2.45.50.20251125-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Nov 2025 03:16:24 +0100

binutils (2.45.50.20251125-1) unstable; urgency=medium

  * New upstream snapshot, upload to unstable.
  * Update libgprofng and libsframe symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Nov 2025 03:13:01 +0100

binutils (2.45-8ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 09:51:44 +0200

binutils (2.45-8) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - Fix PR ld/33409, x86: Copy non_got_ref_without_indirect_extern_access.
    - Fix PR ld/33130, x86: Add GLIBC_ABI_GNU2_TLS version dependency.
    - x86-64: Add GLIBC_ABI_DT_X86_64_PLT version dependency.
    - PR ld/33287, i386: Add GLIBC_ABI_GNU_TLS version dependency.
    - aarch64, gas: Relax Armv9.6-A mandatory feature set.
  * d/p/env-package-metadata.diff: Enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 08:59:35 +0200

binutils (2.17.20070420cvs-0ubuntu1) gutsy
