## binutils 2.45.50.20251201

=== debian/changelog ===
binutils (2.45.50.20251201-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Dec 2025 09:15:42 +0100

binutils (2.45.50.20251201-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update libgprofng symbols file.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2025 08:36:50 +0100
