## binutils 2.45.50.20251209

=== debian/changelog ===
binutils (2.45.50.20251209-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

  [changes brought forward from 2.31.1-16+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 06 Feb 2020 17:10:11 +0000]
  * Allow dependency of binutils on binutils-triplet to be satisfied by
    foreign architectures, to facilitate setting up environments where the
    linker is 64-bit while everything else is 32-bit.

  [changes brought forward from 2.35-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 22 Sep 2020 18:10:17 +0000]
  * Build sufficient cross binutils to support u-boot build.

  [changes brought forward from 2.35.1-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 01 Dec 2020 21:55:01 +0000]
  * Build the same set of cross-binutils on arm64 as on armhf.
    (avoids issues when control is generated on armhf and then package is
    built on arm64)
  * Remove <!nocheck> build-depends as testsuite is disabled.

  [changes brought forward from 2.37.90.20220130-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 10 Feb 2022 12:05:47 +0000]
  * Apply patch proposed upstream to fix glibc link issue.

  [changes brought forward from 2.40-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 23 May 2023 02:13:28 +0000]
  * Non-maintainer upload.
  * Use sed to adjust help2man output for multiarch consistency.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 14 Jan 2026 07:29:50 +0000

binutils (2.45.50.20251209-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix PR ld/33702. Closes: #1122125.
  * Update libgprofng symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2025 09:47:23 +0100
