## binutils 2.45.50.20260116

=== debian/changelog ===
binutils (2.45.50.20260116-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump libsframe soname.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jan 2026 16:15:22 +0100
