## binutils 2.45.50.20260119

=== debian/changelog ===
binutils (2.45.50.20260119-1) unstable; urgency=medium

  * New upstream snapshot.
  * Ignore the (XXX -> UNTESTED) regressions on amd64 and arm64.
  * Fix installation of the libgprofng0 symbols file. Closes: #1125783.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 06:19:32 +0100
