## binutils 2.45.90.20260125

=== debian/changelog ===
binutils (2.45.90.20260125-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jan 2026 02:32:19 +0100

binutils (2.45.90.20260125-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.46 branch.
    - Fixes ld segfault. Closes: #1126349.
  * Apply proposed fix for PR gas/33832, build failure on aarch64-linux-gnu.
  * binutils: Add a breaks to the last libc6-dev binary built for SFrame V2.
  * Stop ignoring the (XXX -> UNTESTED) regressions on amd64 and arm64.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jan 2026 02:22:58 +0100

binutils (2.45.50.20251209-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Dec 2025 10:02:27 +0100
