=== debian/control ===
--- 
+++ 
@@ -70,7 +70,7 @@
  binutils-aarch64-linux-gnu (<< 2.43.90),
  binutils-i686-linux-gnu (<< 2.43.90),
  binutils-riscv64-linux-gnu (<< 2.43.90),
- binutils-x86-64-linux-gnu (<< 2.43.90),
+ binutils-x86-64-linux-gnu (<< 2.43.90), ${sframe:breaks}
 Replaces:
  binutils-common (<< 2.43.90),
  binutils-aarch64-linux-gnu (<< 2.43.90),
@@ -281,4 +281,3 @@
 Replaces: binutils-hppa64 (<< 2.25.1-2)
 Description: GNU assembler, linker and binary utilities targeted for hppa64-linux
  The programs in this package are used to assemble, link and manipulate
- binary and object files.  They may be used in conjunction with a compiler
