=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 Package: binutils
 Architecture: any
 Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
-  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version}),
+  libbinutils (= ${binary:Version}), ${binutils:native}:any (= ${binary:Version})
   ${gold:Depends},
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
