## binutils 2.46

=== debian/changelog ===
binutils (2.46-2) unstable; urgency=medium

  * Enable PAC/BTI/GCS on arm64 (Emanuele Rocca). Closes: #1127747.
  * Ignore ld-bootstrap/bootstrap.exp test failures everywhere.
    Closes: #1127603.
  * Don't run the ld-elf/sec64k.exp test on sh4, timing out. Closes: #1127604.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Feb 2026 09:14:01 +0100

binutils (2.46-1) unstable; urgency=medium

  * binutils 2.46 release.
  * Update VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 14:26:28 +0100
