=== debian/rules ===
--- 
+++ 
@@ -133,9 +133,8 @@
                    riscv64 \
                    hurd-amd64 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
-    CROSS_ARCHS ?= amd64 armel armhf i386 riscv64
-  else ifeq ($(DEB_HOST_ARCH),armhf)
-    CROSS_ARCHS ?= amd64 armel arm64 i386 riscv64
+    CROSS_ARCHS ?= amd64 armel armhf i386 powerpc ppc64el riscv64 s390x \
+		   alpha arc hppa loong64 m68k sh4 sparc sparc64 x32
   else ifeq ($(DEB_HOST_ARCH),ppc64)
     CROSS_ARCHS ?= ppc64el
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
@@ -179,15 +178,14 @@
 endif
 
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el s390x
-HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el armhf
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x armhf
+HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el s390x
 HOST_ARCHS_powerpc = amd64 i386 x32 arm64 ppc64el s390x
 HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64 s390x
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 s390x armhf
-HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 s390x armhf
-HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el s390x armhf
+HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 s390x
+HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 s390x
+HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el s390x
 
 HOST_ARCHS_alpha = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_arc = amd64 i386 x32 arm64 ppc64el
@@ -195,16 +193,17 @@
 HOST_ARCHS_loong64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_m68k = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el s390x
-HOST_ARCHS_sh4 = amd64 i386 x32 ppc64el
-HOST_ARCHS_sparc64 = amd64 i386 x32 ppc64el
+HOST_ARCHS_sh4 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_sparc = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_sparc64 = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
 HOST_ARCHS_mips = amd64 i386 x32
-HOST_ARCHS_mipsel = amd64 i386 x32 ppc64el
+HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
 HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32 ppc64el
+HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el
 
 HOST_ARCHS_mipsr6 = amd64 i386 x32
 HOST_ARCHS_mipsr6el = amd64 i386 x32
