## binutils 2.46.50.20260216

=== debian/changelog ===
binutils (2.46.50.20260216-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Enable PAC/BTI/GCS on arm64 (Emanuele Rocca). Addresses: #1127747.
  * Ignore ld-bootstrap/bootstrap.exp test failures everywhere.
    Addresses: #1127603.
  * Don't run the ld-elf/sec64k.exp test on sh4, timing out.
    Addresses: #1127604.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 08:47:59 +0100

binutils (2.46.50.20260203-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Feb 2026 13:19:01 +0100
