=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
@@ -28,8 +28,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.46
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.46
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
